VLCVideoView Class Reference

`#import <VLCVideoView.h>`

Inheritance diagram for VLCVideoView:

## Properties

NSColor * | backColor
BOOL | hasVideo
BOOL | fillScreen

## Detailed Description

a custom view suitable for video rendering in AppKit environments

## Property Documentation

## backColor

- (NSColor*) backColor

readwritenonatomiccopy

NSColor to set as the view background if no video is being rendered

## fillScreen

- (BOOL) fillScreen

readwritenonatomicassign

Should the video fill the screen by adding letterboxing or stretching?

Returns
  the BOOL value

## hasVideo

- (BOOL) hasVideo

readnonatomicassign

Is a video being rendered in this layer?

Returns
  the BOOL value

The documentation for this class was generated from the following file:

- Headers/Public/VLCVideoView.h